Bug 1903400 - Migrate a VM which is not running goes to pending state
Summary: Migrate a VM which is not running goes to pending state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-02 01:23 UTC by Guohua Ouyang
Modified: 2021-02-24 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:37:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
vm yaml (5.71 KB, text/plain)
2020-12-02 01:23 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7539 0 None open Bug 1903400: Migration cannot be when machine is off or in error 2020-12-14 12:20:06 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:37:55 UTC

Description Guohua Ouyang 2020-12-02 01:23:23 UTC
Created attachment 1735431 [details]
migrating pending if VMI is not running

Description of problem:
When migrating a VM which is not running:
- From cli, it throws an error:
$ virtctl migrate vm-example
Error migrating VirtualMachine Operation cannot be fulfilled on virtualmachine.kubevirt.io "vm-example": VM is not running

- From UI, the migration action is enabled and migrate the vm goes to pending state.

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1. Create a VM which can be started but not be able to be scheduled.
2. Migrate the VM from CLI. 
3. Migrate the VM on UI.

Actual results:


Expected results:
Either disable migrate when VM is not running or throws the error like the cli do.

Additional info:

Comment 1 Guohua Ouyang 2020-12-02 01:23:59 UTC
Created attachment 1735432 [details]
vm yaml

Comment 3 Guohua Ouyang 2020-12-16 03:09:03 UTC
verified on 4.7.0-0.nightly-2020-12-13-202314, migration is not available when VMI is not running.

Comment 6 errata-xmlrpc 2021-02-24 15:37:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.